Commits

Ivan Vučica  committed 2ee0d13

Added Debian package production. First testing shows that even simple applications still can't be built with the packages, however.

  • Participants
  • Parent commits 304381c

Comments (0)

Files changed (6)

File GNUstep with libobjc2 on Ubuntu.sh

 fi	
 . "$GSU_SCRIPT_ROOT/phases/10-build-llvm.sh"
 . "$GSU_SCRIPT_ROOT/phases/15-build-libobjc2.sh"
+. "$GSU_SCRIPT_ROOT/phases/16-pack-libobjc2.sh"
 . "$GSU_SCRIPT_ROOT/phases/20-build-gnustep-make.sh"
+. "$GSU_SCRIPT_ROOT/phases/21-pack-gnustep-make.sh"
 . "$GSU_SCRIPT_ROOT/phases/25-build-gnustep-base.sh"
+. "$GSU_SCRIPT_ROOT/phases/26-pack-gnustep-base.sh"
 . "$GSU_SCRIPT_ROOT/phases/30-build-gnustep-gui.sh"
+. "$GSU_SCRIPT_ROOT/phases/31-pack-gnustep-gui.sh"
 . "$GSU_SCRIPT_ROOT/phases/35-build-gnustep-back.sh"
+. "$GSU_SCRIPT_ROOT/phases/36-pack-gnustep-back.sh"
 . "$GSU_SCRIPT_ROOT/phases/40-build-gnustep-corebase.sh"
 . "$GSU_SCRIPT_ROOT/phases/45-patch-gnustep-opal.sh"
 . "$GSU_SCRIPT_ROOT/phases/46-build-gnustep-opal.sh"

File phases/16-pack-libobjc2.sh

+#!/bin/bash
+
+if [ "x$WITH_DEB" == "x1" ] ; then
+
+######
+cd "$GSU_BUILD_ROOT"/
+
+echo "Packaging libobjc2"
+echo "================="
+cd gnustep/dev-libs/libobjc2/Build
+
+
+	if [ $WITH_CLEAN -eq 1 ] ; then
+		rm -rf _CPack_Packages
+	fi
+	sudo rm -rf install_manifest.txt
+	if cpack -G DEB -DCPACK_PACKAGING_INSTALL_PREFIX=/GNUstep -DCPACK_INSTALL_PREFIX= ; then
+		echo "CPack ok"
+		cp *.deb "$GSU_BUILD_ROOT"/
+	else
+		echo "CPack failed"
+		exit 1
+	fi
+
+##########
+
+fi

File phases/21-pack-gnustep-make.sh

+#!/bin/bash
+
+if [ "x$WITH_DEB" == "x1" ] ; then
+
+######
+cd "$GSU_BUILD_ROOT"/
+
+echo "Packaging gnustep-make"
+echo "================="
+
+cd gnustep/core/make
+
+sed 's,\(include $(GNUSTEP_MAKEFILES)/aggregate.make\),\1\ninclude $(GNUSTEP_MAKEFILES)/Master/deb.make,' < GNUmakefile > GNUmakefile.deb
+
+if make -f GNUmakefile.deb deb ; then
+	echo "Package built"
+	cp *.deb "$GSU_BUILD_ROOT"/
+else
+	echo "Packaging failed"
+	exit 1
+fi
+######
+
+fi
+

File phases/26-pack-gnustep-base.sh

+#!/bin/bash
+
+if [ "x$WITH_DEB" == "x1" ] ; then
+
+######
+cd "$GSU_BUILD_ROOT"/
+
+echo "Packaging gnustep-base"
+echo "================="
+
+cd gnustep/core/base
+
+sed 's,\(include $(GNUSTEP_MAKEFILES)/aggregate.make\),\1\ninclude $(GNUSTEP_MAKEFILES)/Master/deb.make,' < GNUmakefile > GNUmakefile.deb
+
+if make -f GNUmakefile.deb deb ; then
+	echo "Package built"
+	cp *.deb "$GSU_BUILD_ROOT"/
+else
+	echo "Packaging failed"
+	exit 1
+fi
+######
+
+fi
+
+

File phases/31-pack-gnustep-gui.sh

+#!/bin/bash
+
+if [ "x$WITH_DEB" == "x1" ] ; then
+
+######
+cd "$GSU_BUILD_ROOT"/
+
+echo "Packaging gnustep-gui"
+echo "================="
+
+cd gnustep/core/gui
+
+sed 's,\(include $(GNUSTEP_MAKEFILES)/aggregate.make\),\1\ninclude $(GNUSTEP_MAKEFILES)/Master/deb.make,' < GNUmakefile > GNUmakefile.deb
+
+if make -f GNUmakefile.deb deb ; then
+	echo "Package built"
+	cp *.deb "$GSU_BUILD_ROOT"/
+else
+	echo "Packaging failed"
+	exit 1
+fi
+######
+
+fi
+
+
+

File phases/36-pack-gnustep-back.sh

+#!/bin/bash
+
+if [ "x$WITH_DEB" == "x1" ] ; then
+
+######
+cd "$GSU_BUILD_ROOT"/
+
+echo "Packaging gnustep-back"
+echo "================="
+
+cd gnustep/core/back
+
+sed 's,\(include $(GNUSTEP_MAKEFILES)/aggregate.make\),\1\ninclude $(GNUSTEP_MAKEFILES)/Master/deb.make,' < GNUmakefile > GNUmakefile.deb
+
+if make -f GNUmakefile.deb deb ; then
+	echo "Package built"
+	cp *.deb "$GSU_BUILD_ROOT"/
+else
+	echo "Packaging failed"
+	exit 1
+fi
+######
+
+fi
+
+
+